function getDialogButton(dialog_selector, button_name) {
	var buttons = $('button.ui-button');
    for (var i = 0; i < buttons.length; ++i) {
        var jButton = $(buttons[i]);
        if (jButton.text() == button_name) {
            return jButton;
        }
    }

    return null;
}

function attachYesNoDialog(controlID, className, processingFunction, title, width) {

    $(controlID).dialog({
        dialogClass: className,
        autoOpen: false,
        width: width,
        title: title,
        modal: true,
        buttons: {
            "Cancel": function() {
                $(this).dialog("close");},
            "Save": processingFunction
        }
    });
}